Package Details: python2-pysam 0.11.2-1

Git Clone URL: https://aur.archlinux.org/python2-pysam.git (read-only, click to copy)
Package Base: python2-pysam
Description: Python interface for the SAM/BAM sequence alignment and mapping format
Upstream URL: https://github.com/pysam-developers/pysam
Licenses: MIT
Provides: python2-pysam
Submitter: iosonofabio
Maintainer: iosonofabio
Last Packager: iosonofabio
Votes: 6
Popularity: 0.000042
First Submitted: 2012-11-06 16:59
Last Updated: 2017-05-14 23:47

Latest Comments

« First ‹ Previous 1 2

vejnar commented on 2013-10-02 16:30

Pysam is now compatible with Python 3. I have been using it without problem. I modified your PKGBUILD to get python 2 and 3 versions. Could you please include these changes? Thanks

Also, pyrex is no longer required for building.


# Maintainer: Fabio Zanini <fabio.zanini _at_ tuebingen.mpg.de>
pkgname=('python2-pysam' 'python-pysam')
pkgver=0.7.5
pkgrel=1
pkgdesc="Python interface for the SAM/BAM sequence alignment and mapping format"
arch=('any')
url="http://code.google.com/p/pysam/"
license=('MIT')
groups=()
conflicts=()
replaces=()
backup=()
options=(!emptydirs)
install=
source=("http://pysam.googlecode.com/files/pysam-${pkgver}.tar.gz")
sha1sums=('cbb6a0b0b1b4da4c8723c470bd85c065c30623f8')

package_python-pysam() {
depends+=('python')

cd "$srcdir/pysam-$pkgver"

python setup.py install --prefix=/usr --root="$pkgdir" --optimize=1
}

package_python2-pysam() {
depends+=('python2')

cd "$srcdir/pysam-$pkgver"

python2 setup.py install --prefix=/usr --root="$pkgdir" --optimize=1
}

# vim:set ts=2 sw=2 et:

vejnar commented on 2013-10-02 16:29

Pysam is now compatible iwth Python 3. I have been using without problem. I modified your PKGBUILD to get python 2 and 3 versions. Could you please include these changes? Thanks

Also, pyrex is no longer required for building.

# Maintainer: Fabio Zanini <fabio.zanini _at_ tuebingen.mpg.de>
pkgname=('python2-pysam' 'python-pysam')
pkgver=0.7.5
pkgrel=1
pkgdesc="Python interface for the SAM/BAM sequence alignment and mapping format"
arch=('any')
url="http://code.google.com/p/pysam/"
license=('MIT')
groups=()
conflicts=()
replaces=()
backup=()
options=(!emptydirs)
install=
source=("http://pysam.googlecode.com/files/pysam-${pkgver}.tar.gz")
sha1sums=('cbb6a0b0b1b4da4c8723c470bd85c065c30623f8')

package_python-pysam() {
depends+=('python')

cd "$srcdir/pysam-$pkgver"

python setup.py install --prefix=/usr --root="$pkgdir" --optimize=1
}

package_python2-pysam() {
depends+=('python2')

cd "$srcdir/pysam-$pkgver"

python2 setup.py install --prefix=/usr --root="$pkgdir" --optimize=1
}

# vim:set ts=2 sw=2 et: